<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="currentItems"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="currentItems?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small">
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.label.documentType' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.label.saveDocumentOrigin' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.label.attachment' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.table.createdBy' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.table.createdDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.documentAttachedInformation.label.note' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.fileAttach' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.profileTypeName }}</td>
      <td class="text-nowrap">{{ data?.isHardDocument == 1 ? 'X' : '' }}</td>
      <td class="text-nowrap">{{ data?.employeeProfileId}}</td>
      <td class="text-nowrap">{{ data?.createdBy}}</td>
      <td class="text-nowrap">{{ data?.createDate }}</td>
      <td class="text-nowrap">{{ data?.note }}</td>
      <td class="text-nowrap">
        <div *ngFor="let file of data.listFileAttach">
          <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
        </div>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent"
             mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()"
             mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
